Tracked Data
Retrieves a paginated list of tracked data records. Can be filtered by flow_id, flow_run_id, step_id, entity_type_id, value, created_before, and created_after.
API key passed in the Authorization header. Format: <api-key>
Filter results by flow_id.
Filter results by flow_run_id.
Filter results by step_id.
Filter results by entity_type_id.
Filter results by tracked_data_store_reference.
Filter results by value.
Filter results by created_before.
Filter results by created_after.
Comma-separated list of relationships to include. Available: flow, flowRun, flowStep, entityType
Sort field. Prefix with - for descending. Available: created_at, id
Page number for pagination.
1Number of results per page.
Successful response
Unauthenticated
Unauthorized
GET /api/v1/tracked-data HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
"data": [
{
"id": 1,
"created_at": "2025-01-15T10:30:00.000000Z",
"updated_at": "2025-01-15T10:30:00.000000Z",
"flow_id": 1,
"flow_run_id": 1,
"step_id": 1,
"entity_type_id": 1,
"tracked_data_store_reference": "example_tracked_data_store_reference",
"value": "example_value",
"direction": "Send",
"sent_count": 5,
"received_count": 5,
"success": {},
"flow": {},
"flow_step": {},
"flow_run": {},
"entity_type": {}
}
],
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://api.example.com/api/v1/tracked-data",
"per_page": 25,
"to": 1,
"total": 1
},
"links": {
"first": "https://api.example.com/api/v1/tracked-data?page=1",
"last": "https://api.example.com/api/v1/tracked-data?page=1",
"prev": null,
"next": null
}
}Retrieves a paginated list of entity types found in tracked data.
API key passed in the Authorization header. Format: <api-key>
Comma-separated list of relationships to include. Available: endpoints, fieldTags, systemFields
Sort field. Prefix with - for descending. Available: name
Page number for pagination.
1Number of results per page.
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/tracked-data/entity-types HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Searches tracked data.
API key passed in the Authorization header. Format: <api-key>
Successful response
No content
Unauthenticated
Unauthorized
GET /api/v1/tracked-data/search HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?